import { connect } from "mongoose";
import UsersManager from "../../Models/Users/Users";
import { RecoveryAccountParams } from "../../Models/Users/Users.Interface";

export class RecoveryAccountService {
    public async recoveryAccount(data: RecoveryAccountParams): Promise<void> {
        await connect(`${process.env.DATABASE_CONNECTION}`);
        await UsersManager.recoveryAccount(data);
    }
}
